curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/blacklist \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"id": null,
"types": null,
"match_type": null,
"value": null,
"reason": null,
"message": null,
"payment_method_ids": null,
"enabled": null,
"active_from": null,
"active_to": null,
"created_at_from": null,
"created_at_to": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/blacklist"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"id": None,
"types": None,
"match_type": None,
"value": None,
"reason": None,
"message": None,
"payment_method_ids": None,
"enabled": None,
"active_from": None,
"active_to": None,
"created_at_from": None,
"created_at_to": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
id: null,
types: null,
match_type: null,
value: null,
reason: null,
message: null,
payment_method_ids: null,
enabled: null,
active_from: null,
active_to: null,
created_at_from: null,
created_at_to: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/blacklist', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 1,
"shop_id": 1,
"type": "email",
"match_type": "exact",
"value": "blocked@sellauth.test",
"payment_method_ids": null,
"reason": "Example entry",
"message": null,
"enabled": true,
"active_from": null,
"active_to": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/blacklist?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/blacklist?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/blacklist?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/blacklist",
"per_page": 20,
"prev_page_url": null,
"to": 1,
"total": 1
}Get Blacklist
Retrieves the blacklist entries.
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
Page number.
1
Items per page, 1-100. Must be at least 1. Must not be greater than 100.
null
id, value, type, match_type, reason, enabled, created_at null
asc, desc null
Filter by entry ID.
null
null
exact, regex null
Filter by blacklisted value.
null
Filter by reason.
null
Filter by message.
null
Filter by payment method IDs.
null
Only enabled or disabled entries.
null
Must be a valid date.
null
Must be a valid date. Must be a date after active_from.
null
Must be a valid date.
null
Must be a valid date. Must be a date after created_at_from.
null
Response
1
Show child attributes
Show child attributes
[
{
"id": 1,
"shop_id": 1,
"type": "email",
"match_type": "exact",
"value": "blocked@sellauth.test",
"payment_method_ids": null,
"reason": "Example entry",
"message": null,
"enabled": true,
"active_from": null,
"active_to": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null
}
]
"http://api.sellauth.test/v1/shops/1/blacklist?page=1"
1
1
"http://api.sellauth.test/v1/shops/1/blacklist?page=1"
Show child attributes
Show child attributes
[
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/blacklist?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
null
"http://api.sellauth.test/v1/shops/1/blacklist"
20
null
1
1